import { Observable } from 'rxjs';

import { Component, OnInit, OnDestroy } from '@angular/core';

import { LogService } from '@ucap/ng-logger';
import {
  VirtualScrollStrategy,
  FixedSizeVirtualScrollStrategy,
  VIRTUAL_SCROLL_STRATEGY,
  CdkVirtualScrollViewport
} from '@angular/cdk/scrolling';

export class GroupVirtualScrollStrategy extends FixedSizeVirtualScrollStrategy {
  constructor() {
    super(60, 150, 200); // (itemSize, minBufferPx, maxBufferPx)
  }
}

@Component({
  selector: 'app-sections-group-list',
  templateUrl: './list.section.component.html',
  styleUrls: ['./list.section.component.scss'],
  providers: [
    {
      provide: VIRTUAL_SCROLL_STRATEGY,
      useClass: GroupVirtualScrollStrategy
    }
  ]
})
export class ListSectionComponent implements OnInit, OnDestroy {
  constructor(private logService: LogService) {}

  ngOnInit(): void {}

  ngOnDestroy(): void {}
}
